/* ======================================================================
     "bx1S2HRsol.h"
       - header file for "bx1S2HRsol.cc"
             Copyright (c) 2004-2012  by A. Miyoshi, Univ. Tokyo
 ====================================================================== */

#ifndef _BX1S2HRSOL_H_
#define _BX1S2HRSOL_H_

#include "libbx1CP2.h"

/* ----- constants ------------------------------------------ */

enum ecode { ERRusage, FAILopen, READerr, UNKNkey, INVnuss, INVsymn,
             INVpotp, NOmaxJ, INVmaxJ, NOrotc, INVrotc, NOVpotp,
             NUMerr, FATALconv, BADconv
};

/* ----- local functions ------------------------------------ */

int read_input(string &basfln, basisAssocLegendre &basis, tempList &tpls,
 int &outCtrl, int &precanal, double &rtolEigen);
int detMaxRel(eigenVal2Dsrot &fullEgn, eigenVal2Dsrot &redEgn,
 int &maxRel, double rtolEigen);
int errms(ecode ec, string ms = "");

#endif
