/* ---------------------------------------------------------------------
     "wcpp_dposv.cc" - C++ wrapper for LAPACK DPOSV & DPOTRI
             Copyright (c) 2003-2012  by A. Miyoshi, Univ. Tokyo
                         created: Feb.   7, 2003 (cwrap_lapack.c)
                          edited: Sept. 14, 2005
                     last edited: Mar.  12, 2012
--------------------------------------------------------------------- */

#include "wcpp_dposv.h"

int lapack_dposv(char uplo, int n, int nrhs, double **a, int lda,
 double **b, int ldb) {
  int info;
  ENT_DPOSV(uplo, n, nrhs, a, lda, b, ldb, info);
  return info;
}

int lapack_dpotri(char uplo, int n, double **a, int lda) {
  int info;
  ENT_DPOTRI(uplo, n, a, lda, info);
  return info;
}

