/* ---------------------------------------------------------------------
     "wcpp_dsbev.h" - header for C++ wrapper for LAPACK DSBEV
             Copyright (c) 2005-2012  by A. Miyoshi, Univ. Tokyo
--------------------------------------------------------------------- */
#ifndef _WCPP_DSBEV_H_
#define _WCPP_DSBEV_H_

#if defined (_WIN32) && ! defined (__MINGW32__)
#define ENT_DSBEV DSBEV
#else
#define ENT_DSBEV dsbev_
#endif

extern "C" {
  void ENT_DSBEV(char &jobz, char &uplo, int &n, int &kd, double **ab,
   int &ldab, double *w, double **z, int &ldz, double *work, int &info);
}

int lapack_dsbev(char jobz, char uplo, int n, int kd, double **ab,
 int ldab, double *w, double **z, int ldz, double *work);

#endif
